using System;
using System.IO;

namespace Přesunutí_složky
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Přesunutí složky";

         // Vytvoření adresáře pro ukázku
         Directory.CreateDirectory(@"C:\DemoFolder");

         string sourceFolderName = @"C:\DemoFolder";
         string destFolderName = @"C:\Temp\DemoFolder";

         try
         {
            // Přesunutí adresáře
            Directory.Move(sourceFolderName, destFolderName);

            Console.WriteLine("Adresář byl úspěšně přesunut");
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při přesunu adresáře: " +
               ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
